#
# MacOS UI
#

import rumps

class BorgendTray(rumps.App):
    def __init__(self, name, backups):
        menu=[rumps.MenuItem(b.name, callback=self.silly) for b in backups]
        menu = menu + [rumps.MenuItem("Quit...", callback=self.my_quit_button)]
        super().__init__(name, menu=menu, quit_button=None)

    def my_quit_button(self, _):
        rumps.quit_application()

    def silly(self, sender):
        sender.state=not sender.state

